petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatNorm

Calculates various norms of a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatNorm(Mat mat,NormType type,PetscReal *nrm)

Collective on Mat

### Input Parameters

| mat | - the matrix
| type | - the type of norm, NORM_1, NORM_FROBENIUS, NORM_INFINITY

### Output Parameters

nrm -the resulting norm

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Examples

src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/snes/examples/tutorials/ex48.c.html
src/ts/examples/tutorials/ex14.c.html
src/tao/bound/examples/tutorials/jbearing2.c.html

### Implementations

MatNorm_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatNorm_SeqAIJ in src/mat/impls/aij/seq/aij.c
MatNorm_MPIBAIJ in src/mat/impls/baij/mpi/mpibaij.c
MatNorm_SeqBAIJ in src/mat/impls/baij/seq/baij2.c
MatNorm_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatNorm_SeqDense in src/mat/impls/dense/seq/dense.c
MatNorm_Elemental in src/mat/impls/elemental/matelem.cxx
MatNorm_MPISBAIJ in src/mat/impls/sbaij/mpi/mpisbaij.c
MatNorm_SeqSBAIJ in src/mat/impls/sbaij/seq/sbaij2.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages